accrue.analysis.interprocanalysis

## Class EdgeIdentifier.LocalUseKey

- java.lang.Object
- - accrue.analysis.interprocanalysis.EdgeIdentifier.EdgeType
  - - accrue.analysis.interprocanalysis.EdgeIdentifier.LocalUseKey

- Enclosing interface:
    EdgeIdentifier

      public static final class EdgeIdentifier.LocalUseKey
      extends EdgeIdentifier.EdgeType

  A LocalUseKey is used for data dependency edges between defs and uses of Local and Formal locations

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `used`

    - ### Fields inherited from class accrue.analysis.interprocanalysis.EdgeIdentifier.EdgeType

      `isIntra`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeIdentifier.LocalUseKey(java.lang.String used)`
    `EdgeIdentifier.LocalUseKey(java.lang.String used, boolean isIntra)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class accrue.analysis.interprocanalysis.EdgeIdentifier.EdgeType

      `isIntra`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### used

          protected final java.lang.String used

  - ### Constructor Detail

    - #### EdgeIdentifier.LocalUseKey

          public EdgeIdentifier.LocalUseKey(java.lang.String used)

    - #### EdgeIdentifier.LocalUseKey

          public EdgeIdentifier.LocalUseKey(java.lang.String used,
                                    boolean isIntra)

      Parameters:
        `used` - The local or formal used by this data dependency.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`